Download Help - Windows

If you're having trouble downloading or  installing Biba on Windows, please contact us at support@biba.com

In order to run Biba on Windows, you need to be on Windows Vista or later (XP can not run Biba), and have Microsoft .Net 4.0 installed.  You can download it from Microsoft here.

Have more questions? Submit a request

Comments

Powered by Zendesk